## org.apache.fop.pdf
Class PDFFontType1

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFFont
                  |
                  +--org.apache.fop.pdf.PDFFontNonBase14
                        |
                        +--org.apache.fop.pdf.PDFFontType1

public class PDFFontType1
extends PDFFontNonBase14

class representing a Type1 or MMType1 font (not necessary for the base 14). Type1 fonts are specified on page 201 and onwards of the PDF 1.3 spec. MMType1 fonts are specified on page 205 and onwards of the PDF 1.3 spec. In fact everything already done in the superclass. Must only define the not default constructor.

Fields inherited from class org.apache.fop.pdf.PDFFontNonBase14
`descriptor, firstChar, lastChar, widths`

Fields inherited from class org.apache.fop.pdf.PDFFont
`basefont, encoding, fontname, MMTYPE1, subtype, TRUETYPE, TYPE_NAMES, TYPE0, TYPE1, TYPE3`

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFFontType1(int number, java.lang.String fontname, byte subtype, java.lang.String basefont, java.lang.Object encoding)` create the /Font object

Methods inherited from class org.apache.fop.pdf.PDFFontNonBase14
`fillInPDF, setDescriptor, setWidthMetrics`

Methods inherited from class org.apache.fop.pdf.PDFFont
`createFont, createFont, getName, toPDF`

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFFontType1

    public PDFFontType1(int number,
                        java.lang.String fontname,
                        byte subtype,
                        java.lang.String basefont,
                        java.lang.Object encoding)

  create the /Font object
  Parameters:
    `number` - the object's number
    `fontname` - the internal name for the font
    `subtype` - the font's subtype (PDFFont.TYPE1 or PDFFont.MMTYPE1)
    `basefont` - the base font name
    `encoding` - the character encoding schema used by the font
    `mapping` - the Unicode mapping mechanism

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.